Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 390 - tar with compression over pipe produces error
Summary: tar with compression over pipe produces error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tar
Version: 5.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-11 16:45 UTC by ppe
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-29 17:17:09 UTC


Attachments (Terms of Use)

Description ppe 1998-12-11 16:45:59 UTC
When I tar and compress a file and send this over a pipe
I get the following strange result:

[ppe@zaphod ppe]$ tar czO recipes.ps | tar tzf -
recipes.ps

gzip: stdin: decompression OK, trailing garbage ignored
tar: Child returned status 2
tar: Error exit delayed from previous errors

The error is causing trouble when using "tar z" within ftp.
So I am using now "tar | gzip -c" within ftp, which is
working fine. Still, tar should not send the trailing stuff
when writing to stdout (I think this is only intented when
writing to tape to fill the last block). The Tar z works
fine on other linux or unix derivates.





------- Email Received From  Peter Englmaier <ppe@pa.uky.edu> 03/27/99 17:09 -------

Comment 1 Jeff Johnson 1999-03-27 23:17:59 UTC
If I apply your patch, does that also fix the original problem (
using tar z within ftp)?

Comment 2 Jeff Johnson 1999-03-29 17:17:59 UTC
Your (corrected) patch is in tar-1.12-9. Thanks.


Note You need to log in before you can comment on or make changes to this bug.